﻿using System;

using OpenQA.Selenium;
using OpenQA.Selenium.Chrome;

namespace TestProject
{
    /// <summary>
    /// 프로그램
    /// </summary>
    class Program
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Method
        ////////////////////////////////////////////////////////////////////////////////////////// Static
        //////////////////////////////////////////////////////////////////////////////// Private

        #region 프로그램 시작하기 - Main()

        /// <summary>
        /// 프로그램 시작하기
        /// </summary>
        private static void Main()
        {
            ChromeDriverService driverService = ChromeDriverService.CreateDefaultService();

            driverService.HideCommandPromptWindow = true;

            ChromeOptions options = new ChromeOptions();

            options.AddArgument("--start-maximized"); 

            ChromeDriver driver = new ChromeDriver(driverService, options);

            INavigation navigation = driver.Navigate();

            navigation.GoToUrl("https://www.daum.net/");

            IWebElement element = driver.FindElement(By.XPath("//*[@id=\"daumHead\"]/div[2]/div/div[1]/ul/li[1]/a"));

            element.Click();

            Console.WriteLine("크롬 브라우저를 종료하려면 아무 키나 눌러주시기 바랍니다.");

            Console.ReadKey(false);

            driver.Quit();
        }

        #endregion
    }
}